variables:
  GITLAB_CI_SIGN_OFF_EXCLUDE: '833a0d5de4974c1ff74d723faf4f032f668ceb9b'
  GITLAB_CI_DOCS_PATH: ''
stages:
  - static
  - build
  - deploy

workflow:
  rules:
    - if: $CI_MERGE_REQUEST_IID
    - if: $CI_COMMIT_TAG
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
    - if: $CI_COMMIT_BRANCH == 'stable'

include:
  - project: 'librespacefoundation/templates/gitlab-ci'
    ref: '3c85797086e5242071517169800e48a64656c335'
    file: '.gitlab-ci-sign-off.yml'
  - project: 'librespacefoundation/templates/gitlab-ci'
    ref: '3c85797086e5242071517169800e48a64656c335'
    file: '.gitlab-ci-docs.yml'

# 'static' stage
sign_off:
  stage: static
  needs: []

lint:
  stage: static
  needs: []

# 'build' stage
docs:
  stage: build
  needs: []

# 'deploy' stage
pages:
  stage: deploy
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
